# UpdateAppHistoryData | windmill-client
Documentation for windmill-client

# Type Alias UpdateAppHistoryData

UpdateAppHistoryData: {
id: number;
requestBody: {
deployment_msg?: string;
};
version: number;
workspace: string;
}

#### Type declaration

- ##### id: number

- ##### requestBody: {
  deployment_msg?: string;
  }

  App deployment message

  - ##### `Optional` deployment_msg?: string

- ##### version: number

- ##### workspace: string

- Defined in src/types.gen.ts:2720